package hangman;

import reactor.*;
import reactorapi.*;
import java.net.*;
import java.io.*;

class PlayerHandle implements Handle {
    Socket socket;
    BufferedReader in;
    PrintStream out;

    public PlayerHandle(Socket s) {
	socket=s;
	
	try {
	    in=new BufferedReader(new InputStreamReader(
				      socket.getInputStream()));
	    out=new PrintStream(socket.getOutputStream());
	} catch(Exception e) {
	    throw new RuntimeException("Internal socket error");
	}
    }

    public void write(Object s) {
	out.println(s);
    }

    public Object read() {
	try {
	    return in.readLine();
	} catch(Exception e) {
	    return null;
	}
    }

    public void close() {
	try {
	    socket.close();
	} catch(Exception e) {
	    /* It's already dead. */
	}
    }
}
